//========================== agregar alumno desde personas
$(function () {
    $('#nuevo-alumno-pers').on('click', function () {
        $("#para_curso").addClass("d-none");
        $('#form_add_alumpers')[0].reset();
        $('#proceso').val('Registro');
        $("#int_alumno_persona_exist").hide();
        $("#int_alumno_persona_notexist").show();
        $("#int_alumno_persona_exist").attr("required", false);
        $("#int_alumno_persona_exist").attr("disabled", true);
        $("#int_alumno_persona_notexist").attr("required", true);
        $('#tituloFormAlumnoPers').html("Agregar Alumno");
        $('#form_add_alumpers').attr('onsubmit', 'return agregaAlumPers()');
        $('#agrega-alumno-persona').modal({
            show: true,
            backdrop: 'static'
        });
    });
});

function verificaMatricula(id) {
    var url = 'php/verificarMatricula.php';
    var urlDatosCuota = 'php/alumnoDatosCuota.php';
    $("#box_monto_saldo_matr").removeClass('d-none')
    var alumno = $("#alum").val()
    $('#form_cuota_alum #saldo_matricula').val("");
    $("#mes_pago").html("<option>Selecciona Periodo</option>")
    $("#box_monto_saldo_matr").html("")
    if(id == null || id == ''){
        $("#box_monto_saldo_matr").html('<div id="alerta_saldo_matr"></div><div class="alert alert-primary alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-exclamation"></i> Seleciona un Periodo</h4>Para visualizar los meses.</div>')
        return false;
    }
    $.ajax({
        type: 'POST',
        url: url,
        data: "id=" + id,
        success: function (valores) {
            var resp = eval(valores)
            if (id == "") {
                $("#box_monto_saldo_matr").html('<div id="alerta_saldo_matr"></div><div class="alert alert-primary alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-exclamation"></i> Selecciona un periodo de Matricula</div>')
                $("#mes_pago").attr("disabled", true)
            } else if (resp[2] == 'sinsaldo') {
                $("#box_monto_saldo_matr").html('<div class="alert alert-success alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-check"></i> Correcto </h4>Este alumno no posee saldo en esta matricula.</div>')
                $("#mes_pago").attr("disabled", false)
                $("#form_cuota_alum :input").attr("disabled", false)
            } else {
                $("#box_monto_saldo_matr").html('<div id="alerta_saldo_matr"></div><div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-times"></i> Saldo pendiente</h4>Este alumno posee un saldo en esta matricula.</div>')
                $("#mes_pago").attr("disabled", false)
                $('#form_cuota_alum #saldo_matricula').val(resp[1]);
                $("#form_cuota_alum :input").attr("disabled", false)
            }
            $("#form_cuota_alum #monto_cuota").val(resp[3]).formatCurrency({ colorize: false, negativeFormat: '-%s%n', roundToDecimalPlace: 0 });
            return false;
        }, complete: function () {
            $.ajax({
                type: 'POST',
                url: urlDatosCuota,
                data: 'id=' + alumno + '&matricula=' + id,
                success: function (valores) {
                    var datos = eval(valores);
                    if (datos[6] == 'sincuentas') {
                        $('#mes_pago').html(datos[5]);
                        $('#matr').val("");
                        $('#curso').val("");
                        $('#anho').val("");
                        $("#mes_pago").attr("disabled", true)
                        $("#form_cuota_alum :input").attr("disabled", true)
                        $("#alerta_saldo_cuota").html('<div class="alert alert-success alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-check"></i> Correcto</h4>Este alumno no posee cuotas pendientes.</div>')

                    } else {
                        $('#mes_pago').html(datos[5]);
                        $('#matr').val(datos[0]);
                        $('#curso').val(datos[1]);
                        $('#anho').val(datos[3]);
                        $('#mes_pago').attr("disabled", false);
                    }
                    $("#matricula_pago").attr("disabled", false)
                }
            });
            return false;
        }, error: function () {
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
            },
                function () {
                })
            return false;
        }
    })
}

function verificaMes(id) {
    var url = 'php/verificarMesCuota.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: $("#form_cuota_alum").serialize(),
        success: function (valores) {
            var datos = eval(valores);
            if (datos[2] == 'sinsaldo' || datos[2] == 'consaldo') {
                $('#proceso').val('Edicion');
                $('#idalumno').val(id);
                $('#monto_cuota').val(datos[0]);
                //$('#saldo_cuota').val(datos[1]);
                $('#box_monto_saldo').removeClass("d-none");
                $('#monto_cuota').attr("disabled", false);
                $('#monto_abonado_cuota').attr("disabled", false);
                $('#forma_pago_cuota').attr("disabled", false);
                $('#form_cuota_alum :submit').attr('disabled', false);
                $("#alerta_saldo_cuota").html('')
            } else if (datos[2] == 'cancelado') {
                $('#box_monto_saldo').removeClass("d-none");
                $('#monto_cuota').val(datos[0]);
                //$('#saldo_cuota').val(datos[1]);
                $('#monto_cuota').attr("disabled", true);
                $('#monto_abonado_cuota').attr("disabled", true);
                $('#forma_pago_cuota').attr("disabled", true);
                $('#form_cuota_alum :submit').attr('disabled', true);
                $("#alerta_saldo_cuota").html('')
            }else{
                $('#box_monto_saldo').removeClass("d-none");
                $('#monto_cuota').attr("disabled", false);
                $('#monto_abonado_cuota').attr("disabled", false);
                $('#forma_pago_cuota').attr("disabled", false);
                $('#form_cuota_alum :submit').attr('disabled', false);
                $("#alerta_saldo_cuota").html('')
            }
            return false;
        }
    });
    return false;
}

//========================== registro de alumno
function agregaAlumPers() {
    var table = $('#alumnosLista').DataTable();
    var archivos = new FormData($("#form_add_alumpers")[0]);
    var url = 'php/alumnoAgregar.php';
    $('#form_add_alumpers :submit').html('<i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw"></i>');
    $.ajax({
        type: 'POST',
        url: url,
        data: archivos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (registro) {
            if (registro == 1) {
                swal({
                    title: "CORRECTO!",
                    text: "Alumno registrado con éxito",
                    type: "success",
                    confirmButtonText: "Aceptar"
                },
                    function () {
                        $("#form_add_alumpers :submit").attr("disabled", false)
                        $("#form_add_alumpers :submit").html('Agregar');
                        $('#form_add_alumpers')[0].reset();
                        $("#agrega-alumno-persona").modal('hide');
                        table.ajax.reload();
                    })
            } else if (registro == 2) {
                swal({
                    title: "UPS!",
                    text: "Ocurrió un error con el nombre de alumno, probablemente ya exista uno con los mismos datos. Por favor, verificalos",
                    type: "error",
                    confirmButtonText: "Aceptar"
                },
                    function () {
                        $("#form_add_alumpers :submit").attr("disabled", false)
                        $("#form_add_alumpers :submit").html('Agregar');
                    })
            }
        }, error: function (registro) {
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
            },
                function () {
                    $("#form_add_alumpers :submit").attr("disabled", false)
                    $("#form_add_alumpers :submit").html('Agregar');
                })
        }
    });
    return false;
}

function editarAlum(id) {
    $('#form_add_alumpers')[0].reset();
    $("#int_alumno_persona_exist").show();
    $("#int_alumno_persona_notexist").hide();
    $("#int_alumno_persona_exist").attr("required", true);
    $("#int_alumno_persona_exist").attr("disabled", true);
    $("#int_alumno_persona_notexist").attr("required", false);
    $('#tituloFormAlumnoPers').html("Modificación de Alumno");
    $("#para_curso").removeClass("d-none");
    $('#form_add_alumpers :submit').html("Guardar");
    var url = 'php/alumnoEditar.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: 'id=' + id, // envia a PHP ej.: $_POST['id'];
        success: function (valores) {
            var datos = eval(valores);
            $('#proceso').val('Edicion');
            $('#idalumno').val(id);
            $('#int_alumno_persona_exist').val(datos[0]).trigger('change');
            $('#fechaNacimiento').val(datos[1]);
            $('#foto_carnet').html("<img src=/sistema_academico/images/alumnos/" + datos[2] + " style='max-width: 50%'>");
            $('#grupo_sang').val(datos[3]);
            $('#obs_alumno').val(datos[4]);
            $('#nom_padre').val(datos[5]);
            $('#tel_padre').val(datos[6]);
            $('#nom_madre').val(datos[7]);
            $('#tel_madre').val(datos[8]);
            $('#nom_encargado').val(datos[9]);
            $('#tel_encargado').val(datos[10]);
            $('#coment_encarg').val(datos[11]);
            $('#linea_baja').val(datos[12]);
            $('#nom_ref').val(datos[13]);
            $('#tel_ref').val(datos[14]);
            $('#imagen2').val(datos[2]);
            $('#domicilio_ref').val(datos[15]);
            $('#fechaMatricula').val(datos[25]);
            $('#curso_int').val(datos[27]).trigger('change');
            $('#idmat').val(datos[26]);
            if (datos[16] == 'si') {
                $('#fp_cedula_alum').prop("checked", true);
                $('#fp_cedula_alum').val(datos[16]);
            }
            if (datos[17] == 'si') {
                $('#fp_cedula_pme').prop("checked", true);
                $('#fp_cedula_pme').val(datos[17]);
            }
            if (datos[18] == 'si') {
                $('#cert_nac').prop("checked", true);
                $('#cert_nac').val(datos[18]);
            }
            if (datos[19] == 'si') {
                $('#fp_cert_nac').prop("checked", true);
                $('#fp_cert_nac').val(datos[19]);
            }
            if (datos[20] == 'si') {
                $('#libreta_calif').prop("checked", true);
                $('#libreta_calif').val(datos[20]);
            }
            if (datos[21] == 'si') {
                $('#libreta_vacunacion').prop("checked", true);
                $('#libreta_vacunacion').val(datos[21]);
            }
            if (datos[22] == 'si') {
                $('#ant_academico').prop("checked", true);
                $('#ant_academico').val(datos[22]);
            }
            if (datos[23] == 'si') {
                $('#inf_administrativo').prop("checked", true);
                $('#inf_administrativo').val(datos[23]);
            }
            $('#email').val(datos[24]);

            $('#btn_submit').html("Guardar");

            $('#form_add_alumpers').attr('onsubmit', 'return editaAlumPersona()');
            $('#agrega-alumno-persona').modal({
                show: true,
                backdrop: 'static'
            });
            return false;
        }
    });
    return false;
}

function editaAlumPersona() {
    $('#form_add_alumpers :submit').html('<i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw"></i>');
    $("#form_add_alumpers :submit").attr("disabled", true)
    var table = $('#alumnosLista').DataTable();
    var archivos = new FormData($("#form_add_alumpers")[0]);
    var url = 'php/alumnoAgregar.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: archivos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (registro) {
            if (registro == 1) {
                swal({
                    title: "CORRECTO!",
                    text: "Alumno modificado con éxito",
                    type: "success",
                    confirmButtonText: "Aceptar"
                },
                    function () {
                        $("#form_add_alumpers :submit").attr("disabled", false)
                        $("#form_add_alumpers :submit").html('Agregar');
                        $('#form_add_alumpers')[0].reset();
                        $("#agrega-alumno-persona").modal('hide');
                        table.ajax.reload();
                    })
            } else if (registro == 2) {
                swal({
                    title: "UPS!",
                    text: "Ocurrió un error con el nombre de alumno, probablemente ya exista uno con los mismos datos. Por favor, verificalos",
                    type: "error",
                    confirmButtonText: "Aceptar"
                },
                    function () {
                        $("#form_add_alumpers :submit").attr("disabled", false)
                        $("#form_add_alumpers :submit").html('Guardar');
                    })
            }
        }, error: function (registro) {
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
            },
                function () {
                    $("#form_add_alumpers :submit").attr("disabled", false)
                    $("#form_add_alumpers :submit").html('Guardar');
                })
        }
    });
    return false;
}

function eliminarAlum(id) {
    var table = $('#alumnosLista').DataTable();
    //Warning Message
    swal({
        title: "Estás seguro?",
        text: "Una vez eliminado, no podrá reecuperarse!",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "Aceptar",
        closeOnConfirm: false
    }, function () {
        $.ajax({
            type: 'POST',
            url: 'php/alumnoElimina.php',
            data: "id=" + id,
            success: function (eliminar) {
                if (eliminar == 1) {
                    swal({
                        title: "CORRECTO!",
                        text: "Alumno eliminado con éxito",
                        type: "success",
                        confirmButtonText: "Aceptar"
                    },
                        function () {
                            table.ajax.reload();
                        })
                } else if (eliminar == 2) {
                    swal("UPS!", 'No se ha podido eliminar, este alumno ya tiene movimientos relacionados en la base de datos.', "error");
                }
            }, error: function (eliminar) {
                swal("Eliminado!", "Ocurrió un error interno, por favor intenta nuevamente", "error");
            }
        });
    });
    return false;
}

(function ($) {
    'use strict';
    var tablaAlumnos = {
        initialize: function () {
            this
                .build();
        },
        build: function () {

            moment.updateLocale('en', {
                months: [
                    "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio",
                    "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"
                ]
            });

            var table = $('#alumnosLista').DataTable({
                "language": {
                    "url": "src/js/ajax/esp.json",
                },
                "ajax": "php/alumnosPaginar.php",
                "columns": [
                    { data: "Persona_id", title: "#", orderable: true },
                    {
                        data: null,
                        title: "Nombre",
                        orderable: true,
                        render: function (data) {
                            return data.nomAlumno + ' ' + data.apeAlumno;
                        }
                    },
                    { data: "curso", title: "Curso", orderable: true },                     // 2
                    {
                        data: "cedula",
                        title: "Documento",
                        orderable: true,
                        render: $.fn.dataTable.render.number('.', '.', 0)
                    },
                    {
                        data: "matricula",
                        title: "Matricula",
                        orderable: false,
                        render: $.fn.dataTable.render.number('.', '.', 0)
                    },
                    {
                        data: "montoCuota",
                        title: "Cuota",
                        orderable: true,
                        render: $.fn.dataTable.render.number('.', '.', 0)
                    },
                    {
                        data: "AhoLectivo",
                        title: "Año Lect",
                        orderable: false,
                        render: $.fn.dataTable.render.number('.', '.', 0)
                    },
                    {
                        data: null,
                        title: "Acciones",
                        orderable: false,
                        render: function (data) {
                            return `
                                    <div class="input-group-prepend">
                                        <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Acciones</button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" target="_blank" href="pagos.php?id=${data.Persona_id}&anho=${data.AhoLectivo}">Estado de cuenta</a>
                                            <a class="dropdown-item" href="javascript:RegistraMatriculaAlumno(${data.Persona_id}, ${data.matrid})">Matricular</a>
                                            <a class="dropdown-item" href="javascript:cuotaAlumno(${data.Persona_id})">Abono de cuota</a>
                                            <a class="dropdown-item" href="javascript:editarAlum(${data.Persona_id})">Editar Alumno</a>
                                            <a class="dropdown-item" href="javascript:editarPers(${data.Persona_id})">Editar Persona</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="javascript:eliminarAlum(${data.Persona_id})">Eliminar Alumno</a>
                                        </div>
                                    </div>
                                `;
                        }
                    }
                ],
                initComplete: function (datos) {
                    this.api().columns(6).every(function () {
                        var column = this;
                        var select = $('<select class="custom-select custom-select-sm form-control form-control-sm"><option value="">Año Lectivo</option></select>').appendTo($(column.header()).empty()).on('change', function () {
                            var val = $.fn.dataTable.util.escapeRegex($(this).val());

                            column.search(val ? '^' + val + '$' : '', true, false).draw();
                        });

                        column.data().unique().sort().each(function (d, j) {
                            var selected = (d === 'pendiente') ? 'selected' : '';
                            // Verifica si el valor actual coincide con la zona y marca la opción como seleccionada
                            select.append('<option value="' + d + '" ' + selected + '>' + d + '</option>');
                        });

                    });
                },
            });

            window.dt = this.datatable;
            return this;
        }
    };
    $(function () {
        tablaAlumnos.initialize();
    });
}).apply(this, [jQuery]);

//MATRICULA ANTERIOR
function matricularAlumno(id) {
    var alumno = $("#idalumnoMatr").val();
    var url = 'php/alumnoVerificarMatricula.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: "id=" + id,
        success: function (registro) {
            var datos = eval(registro);
            if (datos[0] == 1) {         //si ya está matriculado
                swal({
                    title: "ATENCIÓN",
                    text: "Este alumno se encuentra matriculado",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Ver Informe",
                    cancelButtonText: "Cerrar",
                    closeOnConfirm: true,
                    closeOnCancel: true
                }, function (isConfirm) {
                    if (isConfirm) {
                        window.open("informeMatricula.php?id=" + datos[1]);
                    }
                });
            } else if (datos[0] == 2) {
                $("#idalumnoMatr").val(id)
                $('#matricular-alumno').modal({
                    show: true,
                    backdrop: 'static'
                });
            }
        }, error: function (registro) {
            swal("UPS!", "Ocurrió un error interno, vuelve a intentarlo por favor", "error");
        }
    });
    return false;
}

function verificaPeriodo(id) {
    var alm = $("#idalumnoMatr").val();
    var url = 'php/verificarPeriodoMatricula.php';
    $('#resultado_periodo').hide()
    $.ajax({
        type: 'POST',
        url: url,
        data: "id=" + id + "&idps=" + alm,
        success: function (valores) {
            var datos = eval(valores);
            $('#resultado_periodo').html("")
            $('#resultado_periodo').show()
            if (datos[2] == 'nuevo') {

                $('#idalumno').val(id);
                $('#monto_matricula').val("");
                $('#saldo_matricula').val("");
                $('#curso_int_mat').val("").trigger('change');
                $('#turno_mat').val("").trigger('change');
                $('#escuela_proc_mat').val("");
                $('#box_monto_saldo_mat').addClass("d-none");
                $("#monto_abonar_matricula").attr('disabled', false);
                $('#forma_pago_mat').attr("disabled", false);
                $('#factura').attr("disabled", false);
                $('#timbrado').attr("disabled", false);
                $('#monto_matricula').attr("readonly", false);
                $('#curso_int_mat').attr("readonly", false);
                $('#turno_mat').attr("readonly", false);
                $('#escuela_proc_mat').attr("readonly", false);
                $('#fecha_matr').val("");
                $('#idmatr').val("");
                $('#fecha_matr').attr("readonly", false);
                $('#form_matricula_alum :submit').attr('disabled', false);
                $('#resultado_periodo').removeClass()
                $('#resultado_periodo').html("Periodo no registrado")
                $('#resultado_periodo').addClass("alert alert-info")
            } else if (datos[2] == 'consaldo') {

                $('#idalumno').val(id);
                $('#monto_matricula').val(datos[0]);
                $('#saldo_matricula').val(datos[1]);
                $('#curso_int_mat').val(datos[4]).trigger('change');
                $('#turno_mat').val(datos[5]).trigger('change');
                $('#escuela_proc_mat').val(datos[6]);
                $("#monto_abonar_matricula").attr('disabled', false);
                $('#box_monto_saldo_mat').removeClass("d-none");
                $('#forma_pago_mat').attr("disabled", false);
                $('#fecha_matr').val(datos[7]);
                $('#idmatr').val(datos[8]);
                $('#monto_matricula').attr("readonly", true);
                $('#curso_int_mat').attr("readonly", true);
                $('#turno_mat').attr("readonly", true);
                $('#escuela_proc_mat').attr("readonly", true);
                $('#factura').attr("disabled", false);
                $('#timbrado').attr("disabled", false);
                $('#form_matricula_alum :submit').attr('disabled', false);
                $('#resultado_periodo').removeClass()
                $('#resultado_periodo').html("Matricula con saldo pendiente")
                $('#resultado_periodo').addClass("alert alert-warning")

            } else if (datos[2] == 'cancelado') {

                $('#idalumno').val(id);
                $('#monto_matricula').val(datos[0]);
                $('#saldo_matricula').val(datos[1]);
                $('#curso_int_mat').val(datos[4]).trigger('change');
                $('#turno_mat').val(datos[5]).trigger('change');
                $('#escuela_proc_mat').val(datos[6]);
                $('#fecha_matr').val(datos[7]);
                $('#fecha_matr').attr("readonly", true);
                $("#monto_abonar_matricula").attr('disabled', true);
                $('#box_monto_saldo_mat').removeClass("d-none");
                $('#forma_pago_mat').attr("disabled", true);
                $('#monto_matricula').attr("readonly", true);
                $('#curso_int_mat').attr("readonly", true);
                $('#turno_mat').attr("readonly", true);
                $('#escuela_proc_mat').attr("readonly", true);
                $('#factura').attr("disabled", true);
                $('#idmatr').val("");
                $('#timbrado').attr("disabled", true);
                $('#form_matricula_alum :submit').attr('disabled', true);
                $('#resultado_periodo').removeClass()
                $('#resultado_periodo').html("Matricula con saldo cancelado")
                $('#resultado_periodo').addClass("alert alert-success")

            }
            return false;
        }
    });
    return false;
}

//abrir modal para matricula
function RegistraMatriculaAlumno(id, mat) {
    $('#form_matricula_alum')[0].reset();
    $('#form_matricula_alum :submit').html('Matricula');
    $("#form_matricula_alum :submit").attr("disabled", false)
    $("#idalumnoMatr").val(id);
    $("#idmatr").val(mat);
    $('#matricula-alumno').modal({
        show: true,
        backdrop: 'static'
    });
    return false;
}


function cuotaAlumno(id) {
    $('#form_cuota_alum')[0].reset();
    var alumno = $("#idalumnoMatr").val();
    var url = 'php/alumnoVerificarMatricula.php';
    var urlMats = 'php/listaMatriculas.php';
    $("#alerta_saldo_matr").html('<div class="alert alert-primary alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><h4><i class="icon fa fa-exclamation"></i> Selecciona un periodo de Matricula</div>')
    $("#alerta_saldo_cuota").html('')
    $("#form_cuota_alum :input").attr("disabled", true)
    $("#matricula_pago").attr("disabled", false)
    $("#mes_pago").attr("disabled", true)
    $.ajax({
        type: 'POST',
        url: url,
        data: "id=" + id,
        success: function (registro) {
            $.ajax({
                type: 'POST',
                url: urlMats,
                data: "id=" + id,
                success: function (registro) {
                    $("#matricula_pago").html(registro)
                }, error: function (registro) {
                    swal("UPS!", "Ocurrió un error interno, vuelve a intentarlo por favor", "error");
                }
            });
        }, complete: function (registro) {
            $("#idalumnoMatr").val(id)
            ModalcuotaAlumno(id)
        }, error: function (registro) {
            swal("UPS!", "Ocurrió un error interno, vuelve a intentarlo por favor", "error");
        }
    });
    return false;
}

function ModalcuotaAlumno(id) {
    var url = 'php/alumnoDatosCuota.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: 'id=' + id + '&matricula=""',
        success: function (valores) {
            var datos = eval(valores);
            $('#proceso_cuota').val('Cuota');
            $('#alum').val(id);
            $('#matr').val(datos[0]);
            $('#curso').val(datos[1]);
            $('#anho').val(datos[3]);
            $('#obs_matricula_cuota').val(datos[4]);
            //$('#mes_pago').html(datos[5]);
            //$('#mes_pago').attr("disabled", false);
            $('#abono-cuota-alumno').modal({
                show: true,
                backdrop: 'static'
            });
            return false;
        }
    });
}

function formaPago(id) {
    if (id == 'cheque') {
        $("#nombre_pago_2").html("Banco")
        $("#numero_pago_2").html("Número Cheque")
        $("#monto_pago_2").html("Monto Cheque")
        $("#box_banco").removeClass("d-none")
        $("#nombre_banco").attr("required", true)
        $("#box_cheque").removeClass("d-none")
        $("#num_cheque").attr("required", true)
        $("#box_monto_cheque").removeClass("d-none")
        $("#monto_cheque").attr("required", true)
        //CUOTA
        $("#nombre_pago_2_cuota").html("Banco")
        $("#numero_pago_2_cuota").html("Número Cheque")
        $("#monto_pago_2_cuota").html("Monto Cheque")
        $("#box_banco_cuota").removeClass("d-none")
        $("#nombre_banco_cuota").attr("required", true)
        $("#box_cheque_cuota").removeClass("d-none")
        $("#num_cheque_cuota").attr("required", true)
        $("#box_monto_cheque_cuota").removeClass("d-none")
        $("#monto_cheque_cuota").attr("required", true)
    } else if (id == 'transfer') {
        $("#nombre_pago_2").html("Banco")
        $("#numero_pago_2").html("Número Transferencia")
        $("#monto_pago_2").html("Monto Transferencia")
        $("#box_banco").removeClass("d-none")
        $("#nombre_banco").attr("required", true)
        $("#box_cheque").removeClass("d-none")
        $("#num_cheque").attr("required", true)
        $("#box_monto_cheque").removeClass("d-none")
        $("#monto_cheque").attr("required", true)
        //CUOTA
        $("#nombre_pago_2_cuota").html("Banco")
        $("#numero_pago_2_cuota").html("Número Transferencia")
        $("#monto_pago_2_cuota").html("Monto Transferencia")
        $("#box_banco_cuota").removeClass("d-none")
        $("#nombre_banco_cuota").attr("required", true)
        $("#box_cheque_cuota").removeClass("d-none")
        $("#num_cheque_cuota").attr("required", true)
        $("#box_monto_cheque_cuota").removeClass("d-none")
        $("#monto_cheque_cuota").attr("required", true)
    } else {
        $("#nombre_pago_2").html("")
        $("#numero_pago_2").html("")
        $("#monto_pago_2").html("")
        $("#box_banco").addClass("d-none")
        $("#nombre_banco").attr("required", false)
        $("#box_cheque").addClass("d-none")
        $("#num_cheque").attr("required", false)
        $("#box_monto_cheque").addClass("d-none")
        $("#monto_cheque").attr("required", false)
        //CUOTA
        $("#nombre_pago_2_cuota").html("")
        $("#numero_pago_2_cuota").html("")
        $("#monto_pago_2_cuota").html("")
        $("#box_banco_cuota").addClass("d-none")
        $("#nombre_banco_cuota").attr("required", false)
        $("#box_cheque_cuota").addClass("d-none")
        $("#num_cheque_cuota").attr("required", false)
        $("#box_monto_cheque_cuota").addClass("d-none")
        $("#monto_cheque_cuota").attr("required", false)
    }
}

function matriculaAlumno() {
    $('#form_matricula_alum :submit').html('<i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw"></i>');
    $("#form_matricula_alum :submit").attr("disabled", true)
    var alumno = $("#idalumnoMatr").val();
    var table = $('#alumnosLista').DataTable();
    var url = 'php/alumnoMatricularModal.php';
    $.ajax({
        type: 'POST',
        url: url,
        data: $("#form_matricula_alum").serialize(),
        success: function (registro) {
            var datos = eval(registro);
            if (datos[0] == 1) {         //si ya está matriculado
                table.ajax.reload();
                swal({
                    title: "CORRECTO!",
                    text: "Alumno matriculado con éxito",
                    type: "success",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Ver informe",
                    cancelButtonText: "Cerrar",
                    closeOnConfirm: true,
                    closeOnCancel: true
                },
                    function (alerta) {
                        if (alerta === false) {
                            $("#matricula-alumno").modal('hide');
                        } else {
                            $('#form_matricula_alum :submit').html('Matricula');
                            $("#form_matricula_alum :submit").attr("disabled", false)
                            $("#matricula-alumno").modal('hide');
                            window.open("informeMatricula.php?id=" + datos[2])
                        }
                    });
            } else if (datos[0] == 2) {
                swal("UPS!", "Ocurrió un error al matricular, probablemente ya exista esta matriculación", "error");
                $('#form_matricula_alum :submit').html('Matricula');
                $("#form_matricula_alum :submit").attr("disabled", false)
            } else if (datos[0] == 3) {
                swal("ERROR!", "Monto abonado no puede ser mayor a la matricula", "error");
                $('#form_matricula_alum :submit').html('Matricula');
                $("#form_matricula_alum :submit").attr("disabled", false)
            } else if (datos[0] == 4) {
                swal("ERROR!", "Monto abonado no puede ser mayor al saldo", "error");
                $('#form_matricula_alum :submit').html('Matricula');
                $("#form_matricula_alum :submit").attr("disabled", false)
            }
        }, error: function (registro) {
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
            },
                function () {
                    $('#form_matricula_alum :submit').html('Matricula');
                    $("#form_matricula_alum :submit").attr("disabled", false)
                })
        }
    });
    return false;
}

function cobrarCuotaAlumno() {
    $('#form_cuota_alum :submit').html('<i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw"></i>');
    $("#form_cuota_alum :submit").attr("disabled", true)
    var alumno = $("#idalumnoMatr").val();
    var url = 'php/alumnoAbonarCuota.php';
    $.ajax({
        type: 'POST', 
        url: url,
        data: $("#form_cuota_alum").serialize(),
        success: function (registro) {
            var datos = eval(registro);
            if (datos[0] == 1) {         //si ya está matriculado
                swal({
                    title: "CORRECTO!",
                    text: "Cuota abonada con éxito",
                    type: "success",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Ver recibo",
                    closeOnConfirm: true,
                    cancelButtonText: "Cerrar",
                    closeOnCancel: true
                }, function (isConfirm) {
                    if (isConfirm) {
                        $('#form_cuota_alum :submit').html('Cobrar');
                        $("#form_cuota_alum :submit").attr("disabled", false)
                        $("#abono-cuota-alumno").modal('hide');
                        window.open("reciboCuota.php?id=" + datos[1])
                    } else {
                        $('#form_cuota_alum :submit').html('Cobrar');
                        $("#form_cuota_alum :submit").attr("disabled", false)
                        $("#abono-cuota-alumno").modal('hide');
                    }
                });
            } else if (datos[0] == 2) {
                swal("UPS!", "Ocurrió un error al abonar la cuota.", "error");
                $('#form_cuota_alum :submit').html('Cobrar');
                $("#form_cuota_alum :submit").attr("disabled", false)
            } else if (datos[0] == 3) {
                swal("ERROR!", "Monto abonado no puede ser mayor a la cuota", "error");
                $('#form_cuota_alum :submit').html('Cobrar');
                $("#form_cuota_alum :submit").attr("disabled", false)
            } else if (datos[0] == 4) {
                swal("ERROR!", "Monto abonado no puede ser mayor al saldo", "error");
                $('#form_cuota_alum :submit').html('Cobrar');
                $("#form_cuota_alum :submit").attr("disabled", false)
            }
        }, error: function (registro) {
            swal({
                title: "UPS!",
                text: "Ocurrió un error interno. Por favor, vuelve a intentarlo",
                type: "error",
                confirmButtonText: "Aceptar"
            },
                function () {
                    $('#form_cuota_alum :submit').html('Cobrar');
                    $("#form_cuota_alum :submit").attr("disabled", false)
                })
        }
    });
    return false;
}